List Knowledge Base Chunks

List the chunks for a document. Cursor-paginated: omit cursor to fetch the first page. Default page size is 50 and max is 200. Walk pages while has_more is true.

Authentication

AuthorizationBearer

Enter your API key with the Bearer prefix, e.g. ‘Bearer sk_…’.

Path parameters

idstringRequired
docIdstringRequired

Query parameters

cursorstringOptional
Opaque pagination cursor from a previous response.
limitintegerOptional

Max chunks per page (default 50, max 200).

Response

The chunks for the document.
next_cursorstring or null

Opaque keyset cursor for the next page. Pass back as the cursor request parameter. null when the caller has reached the end of the list (has_more is also false in that case).

has_moreboolean
True when more rows exist beyond this page.
chunkslist of objects

Errors

401
Unauthorized Error
404
Not Found Error